Vision discussion: The Future of Wikipedia
Closed, DeclinedPublic

Description

I would like to propose a discussion about the direction of Wikipedia at the DevSummit 2016.

I wrote my vision and steps to get there as I see it, but I would love to get other perspectives. Perhaps we could attain a more general agreement on what we should do, both as an organization and as a whole community.

Yurik created this task.Dec 10 2015, 12:38 AM
Yurik updated the task description. (Show Details)
Yurik raised the priority of this task from to Needs Triage.
Yurik added subscribers: Yurik, Milimetric, yuvipanda and 7 others.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 10 2015, 12:38 AM
Yurik updated the task description. (Show Details)Dec 10 2015, 12:56 AM
Yurik set Security to None.

@Yurik: What kind of session is this supposed to be? Some track? Hacking proposal?

Yurik added a comment.EditedDec 10 2015, 3:45 PM

@Aklapper, my hope is to establish long term site developing goals, a constitution if you will. This way whenever we have a discussion how to allocate our limited resources, we could check against the agreed vision to see if it's a match, or if our vision should be changed.

There are two parts to this discussion - a general vision, and the technical steps to get there. That said, I do not know exactly what format will be the most productive -- something like a round table perhaps? With all of the interested participants, preferably from both tech and the non-tech enthusiasts?

P.S. I also hope this would be a fairly short discussion - for everyone expressing how they see Wikipedia grow, and a short discussion, e.g. 2 min max for each comment.

Aklapper closed this task as Declined.Dec 10 2015, 3:54 PM
Aklapper claimed this task.

Just realizing that several deadlines have passed already so I'll be bold and decline this request (which does not mean that you couldn't set such a session up outside of the "official" program). Sorry... :-/

Yurik added a comment.EditedDec 10 2015, 8:12 PM

@Aklapper, I agree that this was filed late, but it was written in part due to the recently heightened awareness of our goal setting process, and I thought it would still be very appropriate to add it to the agenda.

Not sure what "our goal setting process" refers to, without any links or context.

For clarity, please note that I'm not in charge of deciding which sessions are chosen but I'd expect strong and convincing reasons why to accept a proposal two months after the deadline for all other proposals. See the requirements for proposals in the link that I pasted.

I think this would be a strongly worthy topic to specifically discuss both during the devsummit and during the Unconference on day 2 of allhands. I saw @RobLa-WMF commented today about the devsummit deadlines not being set in stone... Plus the devsummit schedule seems to be peppered with unconference slots so it could potentially fit in there. However, this abstract idea is big enough that it does need a leader/facilitator and a ton of preparatory work (finding&summarizing alternative perspectives, etc etc) if it were to be done as a formal discussion. If expanded to cover all Wikimedia, then it's basically the overall theme of the entire week (and of our entire lives!).
So, if anyone steps up to lead it and do the preparatory work, that would be awesome beyond measure. Otherwise, I think it's what we'll all basically be discussing (and writing notes on for on-internet-followup) the entire time we're there.

RobLa-WMF renamed this task from The Future of Wikipedia (Vision) to Yuri's vision: The Future of Wikipedia.Dec 12 2015, 4:39 PM
RobLa-WMF reassigned this task from Aklapper to Yurik.
Yurik added a comment.Dec 12 2015, 4:55 PM

@RobLa-WMF, this is not my vision - this is a discussion about the general vision, where I simply present mine, but would love others to present theirs.

RobLa-WMF renamed this task from Yuri's vision: The Future of Wikipedia to Vision discussion: The Future of Wikipedia.Dec 14 2015, 5:14 AM
RobLa-WMF reopened this task as Stalled.

@Yurik: there really isn't a lot of time to pull something together, especially given the topic. In order for this to be a successful proposal, it will need the very significant support and participation.

One way I could see this working is if you're able to get the support and participation of @Wwes. Many developers are eager to hear this sort of thing from Product, so I could see this being a good opportunity to work with them on a strategy for presenting something compelling.

I don't think there's much of an appetite for an open-ended brainstorming session, and we already have a critical mass of must-have sessions listed in T119593 as well as many others listed in our working areas (T119018), so it would be difficult to imagine how we would bump one of those.

@Quiddity: my email wasn't an open invitation for starting over the agenda, but rather suggesting that a session regarding the development strategy for OOjs-UI might be appropriate (and asking that we get something in Phab to discuss that further).

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!

Aklapper closed this task as Declined.Aug 1 2016, 11:08 AM

No reply by @Yurik to T121044#1948706.
Assuming this did not take place and hence closing as declined.